Loading...
Searching...
No Matches
oval_result_directives Struct Reference
OVAL » OVALDIR

This structure holds instance of either OVAL Default Directives or OVAL Class directives. More...

`#include <oval_directives.h>`

## Public Member Functions

OSCAP_API struct oval_result_directives * | oval_result_directives_new (void)
| Create new OVAL Results Directives instance.
OSCAP_API void | oval_result_directives_free (struct oval_result_directives *)
OSCAP_API void | oval_result_directives_set_reported (struct oval_result_directives *, int flag, bool val)
| Set (or unset) result types that are intended to be reported.
OSCAP_API void | oval_result_directives_set_content (struct oval_result_directives *, int flag, oval_result_directive_content_t)
| Configure the depth of infomation.
OSCAP_API void | oval_result_directives_set_included (struct oval_result_directives *, bool)
OSCAP_API bool | oval_result_directives_get_reported (struct oval_result_directives *, oval_result_t)
OSCAP_API bool | oval_result_directives_get_included (struct oval_result_directives *)
OSCAP_API oval_result_directive_content_t | oval_result_directives_get_content (struct oval_result_directives *, oval_result_t)

## Detailed Description

This structure holds instance of either OVAL Default Directives or OVAL Class directives.

The documentation for this struct was generated from the following file:

- oval_directives.h